Loading...
Searching...
No Matches
juce::AAXClientExtensions Struct Reference

## Detailed Description

An interface to allow an AudioProcessor to implement extended AAX-specific functionality.

To use this class, create an object that inherits from it, implement the methods, then return a pointer to the object in your AudioProcessor getAAXClientExtensions() method.

See also
  AudioProcessor, VST2ClientExtensions, VST3ClientExtensions

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/utilities/juce_AAXClientExtensions.h

Inheritance diagram for juce::AAXClientExtensions:

## Public Member Functions

virtual | ~AAXClientExtensions ()=default
virtual int32 | getPluginIDForMainBusConfig (const AudioChannelSet &mainInputLayout, const AudioChannelSet &mainOutputLayout, bool idForAudioSuite) const
| AAX plug-ins need to report a unique "plug-in id" for every audio layout configuration that your AudioProcessor supports on the main bus.
virtual String | getPageFileName () const
| Returns an optional filename (including extension) for a page file to be used.
virtual File | getPageFileSearchPath () const
| Optionally returns a search path for finding a page table file.

## Constructors and Destructors

## ~AAXClientExtensions()

virtual juce::AAXClientExtensions::~AAXClientExtensions | ( |  | ) |

virtual default

## Member Functions

## getPluginIDForMainBusConfig()

virtual int32 juce::AAXClientExtensions::getPluginIDForMainBusConfig | ( | const AudioChannelSet & | mainInputLayout,
|  | const AudioChannelSet & | mainOutputLayout,
|  | bool | idForAudioSuite ) const

virtual

AAX plug-ins need to report a unique "plug-in id" for every audio layout configuration that your AudioProcessor supports on the main bus.

Override this function if you want your AudioProcessor to use a custom "plug-in id" (for example to stay backward compatible with older versions of JUCE).

The default implementation will compute a unique integer from the input and output layout and add this value to the 4 character code 'jcaa' (for native AAX) or 'jyaa' (for AudioSuite plug-ins).

## getPageFileName()

virtual String juce::AAXClientExtensions::getPageFileName | ( |  | ) | const

virtual

Returns an optional filename (including extension) for a page file to be used.

A page file allows an AAX plugin to specify how its parameters are displayed on various control surfaces. For more information read the Page Table Guide in the AAX SDK documentation.

By default this file will be searched for in *.aaxplugin/Contents/Resources.

See also
  getPageFileSearchPath

## getPageFileSearchPath()

virtual File juce::AAXClientExtensions::getPageFileSearchPath | ( |  | ) | const

inline virtual

Optionally returns a search path for finding a page table file.

This can be useful for specifying a location outside the plugin bundle so users can make changes to a page table file without breaking any code signatures.

If this function returns a default-constructed File, then a default location will be used. The AAX SDK states this location will be *.aaxplugin/Contents/Resources.

Note
  The returned path should be an absolute path to a directory.

See also
  getPageFileName

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited